## ros-eloquent-tf2-ros 0.12.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_ros)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(NOT ANDROID)
  set(TF2_PY tf2_py)
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(message_filters REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_msgs REQUIRED)

include_directories(include)
ament_python_install_package(${PROJECT_NAME} PACKAGE_DIR src/${PROJECT_NAME})

# tf2_ros library
add_library(${PROJECT_NAME} SHARED
  src/buffer.cpp
  src/create_timer_ros.cpp
  src/transform_listener.cpp
  src/buffer_client.cpp
  src/buffer_server.cpp
  src/transform_broadcaster.cpp
  src/static_transform_broadcaster.cpp
)

ament_target_dependencies(${PROJECT_NAME}
  "geometry_msgs"
  "message_filters"
  "rclcpp"
  "rclcpp_action"
  "tf2"
  "tf2_msgs"
)

target_compile_definitions(${PROJECT_NAME} PRIVATE "TF2_ROS_BUILDING_DLL")

# buffer_server executable
add_executable(buffer_server src/buffer_server_main.cpp)
target_link_libraries(buffer_server
  ${PROJECT_NAME}
)
ament_target_dependencies(buffer_server
  "geometry_msgs"
  "rclcpp"
  "rclcpp_action"
  "tf2"
  "tf2_msgs"
)

# static_transform_publisher
add_executable(static_transform_publisher
  src/static_transform_broadcaster_program.cpp
)
target_link_libraries(static_transform_publisher
  ${PROJECT_NAME}
)
ament_target_dependencies(static_transform_publisher
  "geometry_msgs"
  "rclcpp"
  "tf2_msgs"
)

add_executable(tf2_echo
  src/tf2_echo.cpp
)
target_link_libraries(tf2_echo
  ${PROJECT_NAME}
)
ament_target_dependencies(tf2_echo
  "rclcpp"
)

add_executable(tf2_monitor
  src/tf2_monitor.cpp
)
target_link_libraries(tf2_monitor
  ${PROJECT_NAME}
)
ament_target_dependencies(tf2_monitor
  "rclcpp"
  "tf2_msgs"
)

# Install rules
install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# install executables
install(TARGETS
  buffer_server
  static_transform_publisher
  tf2_echo
  tf2_monitor
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)


# Tests
if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_buffer test/test_buffer.cpp)
  target_link_libraries(test_buffer ${PROJECT_NAME})

  ament_add_gtest(test_buffer_server test/test_buffer_server.cpp)
  target_link_libraries(test_buffer_server ${PROJECT_NAME})

  ament_add_gtest(test_buffer_client test/test_buffer_client.cpp)
  target_link_libraries(test_buffer_client ${PROJECT_NAME})

  # Adds a tf2_ros message_filter unittest that uses
  # multiple target frames and a non-zero time tolerance
  ament_add_gtest(${PROJECT_NAME}_test_message_filter test/message_filter_test.cpp)
  target_link_libraries(${PROJECT_NAME}_test_message_filter ${PROJECT_NAME})

  ament_add_gtest(${PROJECT_NAME}_test_transform_listener test/test_transform_listener.cpp)
  target_link_libraries(${PROJECT_NAME}_test_transform_listener ${PROJECT_NAME})

  ament_add_gtest(${PROJECT_NAME}_test_static_transform_broadcaster test/test_static_transform_broadcaster.cpp)
  target_link_libraries(${PROJECT_NAME}_test_static_transform_broadcaster ${PROJECT_NAME})

  ament_add_gtest(${PROJECT_NAME}_test_transform_broadcaster test/test_transform_broadcaster.cpp)
  target_link_libraries(${PROJECT_NAME}_test_transform_broadcaster ${PROJECT_NAME})

  ament_add_gtest(${PROJECT_NAME}_test_time_reset test/time_reset_test.cpp)
  ament_target_dependencies(${PROJECT_NAME}_test_time_reset
    rclcpp
  )
  target_link_libraries(${PROJECT_NAME}_test_time_reset ${PROJECT_NAME})

  ament_add_gtest(${PROJECT_NAME}_test_listener test/listener_unittest.cpp)
  ament_target_dependencies(${PROJECT_NAME}_test_listener
    rclcpp
  )
  target_link_libraries(${PROJECT_NAME}_test_listener ${PROJECT_NAME})

  # Python test
  # Provides PYTHON_EXECUTABLE_DEBUG
  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra REQUIRED)

  set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}")
  if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
  endif()

  find_package(ament_cmake_pytest REQUIRED)
  ament_add_pytest_test(tf2_ros_py_test test/py_test)

  set(PYTHON_EXECUTABLE "${_PYTHON_EXECUTABLE}")
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(message_filters)
ament_export_dependencies(rclcpp)
ament_export_dependencies(tf2_msgs)
ament_export_dependencies(tf2)
ament_package()

=== debian/changelog ===
ros-eloquent-tf2-ros (0.12.6-1bionic) bionic; urgency=high

  * Add missing visibility header include (#246 <https://github.com/ros2/geometry2/issues/246>) (#352 <https://github.com/ros2/geometry2/issues/352>)
  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>) (#331 <https://github.com/ros2/geometry2/issues/331>)
  * Moved unique_lock of messages_mutex_ to guarantee pointer (#279 <https://github.com/ros2/geometry2/issues/279>) (#282 <https://github.com/ros2/geometry2/issues/282>)
  * Porting more tests to tf2_ros (#202 <https://github.com/ros2/geometry2/issues/202>) (#225 <https://github.com/ros2/geometry2/issues/225>)
  * message filter fix (#216 <https://github.com/ros2/geometry2/issues/216>) (#221 <https://github.com/ros2/geometry2/issues/221>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron, Martin Ganeff

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.5-1bionic) bionic; urgency=high

  * Adding support for view_frame (#192 <https://github.com/ros2/geometry2/issues/192>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.3-1bionic) bionic; urgency=high

  * Remove unused setup.py files (#190 <https://github.com/ros2/geometry2/issues/190>)
  * Print out the name of the signalFailure reason instead of just its enum value (#186 <https://github.com/ros2/geometry2/issues/186>)
  * Contributors: Emerson Knapp, Vasilii Artemev

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.2-1bionic) bionic; urgency=high

  * Fix tf2_monitor subscriptions QoS settings. (#196 <https://github.com/ros2/geometry2/issues/196>)
  * Contributors: Michel Hidalgo

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.1-1bionic) bionic; urgency=high

  * Add convenience methods using rclcpp time types (#180 <https://github.com/ros2/geometry2/issues/180>)
  * Don't assume quaternions init to all zeros
  * Make BufferClient destructor virtual
  * Contributors: Josh Langsfeld, Shane Loretz, Thomas Moulard

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-tf2-ros (0.12.0-1bionic) bionic; urgency=high

  * Simulate work in the acceptedCallback.
  * Make Windows Debug to run the correct python executable.
  * Make BufferInterface destructor virtual.
  * Remove unnecessary and blacklisted actionlib_msgs dependency.
  * More test fixes for tf2_ros python.
  * class Clock is in clock not timer.
  * tf2_ros is not built for Python (#99 <https://github.com/ros2/geometry2/issues/99>)
  * Migrate buffer action server to ROS 2
  * Add conversion functions for durations
  * Make /tf_static use transient_local durability (#160 <https://github.com/ros2/geometry2/issues/160>)
  * Force explicit --ros-args in NodeOptions::arguments(). (#162 <https://github.com/ros2/geometry2/issues/162>)
  * Use of -r/--remap flags where appropriate. (#159 <https://github.com/ros2/geometry2/issues/159>)
  * Include tf2 headers in message_filter.h (#157 <https://github.com/ros2/geometry2/issues/157>)
  * Use ament_target_dependencies to ensure correct dependency order (#156 <https://github.com/ros2/geometry2/issues/156>)
  * Make sure that TransformListener's node gets a unique name (#129 <https://github.com/ros2/geometry2/issues/129>)
  * Fix compiler warning (#148 <https://github.com/ros2/geometry2/issues/148>)
  * Do not timeout when waiting for transforms (#146 <https://github.com/ros2/geometry2/issues/146>)
  * Fix race between timeout and transform ready callback (#143 <https://github.com/ros2/geometry2/issues/143>)
  * Fix high CPU - Use executor to spin and stop node in tf_listener thread (#119 <https://github.com/ros2/geometry2/issues/119>)
  * Catch polymorphic exceptions by reference (#138 <https://github.com/ros2/geometry2/issues/138>)
  * Add missing export build dependencies (#135 <https://github.com/ros2/geometry2/issues/135>)
  * avoid delete-non-virtual-dtor warning (#134 <https://github.com/ros2/geometry2/issues/134>)
  * Template tf2_ros::MessageFilter on the buffer type
  * Add pure virtual interface tf2_ros::AsyncBufferInterface
  * Add pure virtual interface tf2_ros::CreateTimerInterface
  * Allow tf2_monitor to be run with ROS command line args (#122 <https://github.com/ros2/geometry2/issues/122>)
  * Drop misleading ROS_* logging macros from tf2_monitor (#123 <https://github.com/ros2/geometry2/issues/123>)
  * Fix the MessageFilter init order. (#120 <https://github.com/ros2/geometry2/issues/120>)
  * Contributors: Chris Lalancette, Dan Rose, Jacob Perron, Karsten Knese, Michel Hidalgo, Scott K Logan, Shane Loretz, Vinnam Kim, bpwilcox, evshary

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-tf2-ros (0.11.3-1bionic) bionic; urgency=high

  * stop spinning TransformListener thread node in destructor (#114 <https://github.com/ros2/geometry2/issues/114>)
  * Store dedicated transform listener thread as a std::unique_ptr (#111 <https://github.com/ros2/geometry2/issues/111>)
  * enable pedantic for tf2_ros (#115 <https://github.com/ros2/geometry2/issues/115>)
  * Contributors: Hunter L. Allen, Karsten Knese, bpwilcox

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 05:00:00 -0000

ros-eloquent-tf2-ros (0.11.2-1bionic) bionic; urgency=high

  * Remove stray semicolon which causes compiler error when using -Werror=pedantic (#112 <https://github.com/ros2/geometry2/issues/112>)
  * Contributors: Michael Jeronimo

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-tf2-ros (0.11.1-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-eloquent-tf2-ros
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-cmake-python, ros-eloquent-geometry-msgs, ros-eloquent-message-filters, ros-eloquent-python-cmake-module, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclpy, ros-eloquent-std-msgs, ros-eloquent-tf2, ros-eloquent-tf2-msgs, ros-eloquent-tf2-py, ros-eloquent-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-eloquent-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-geometry-msgs, ros-eloquent-message-filters, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclpy, ros-eloquent-std-msgs, ros-eloquent-tf2, ros-eloquent-tf2-msgs, ros-eloquent-tf2-py, ros-eloquent-ros-workspace
Description: This package contains the ROS bindings for the tf2 library, for both Python and C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-tf2-ros//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
